Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQShowEvent Class Reference

The TQShowEvent class provides an event which is sent when a widget is shown. More...

`#include <ntqevent.h>`

Inherits TQEvent.

List of all member functions.

## Public Members

- TQShowEvent ()

## Detailed Description

The TQShowEvent class provides an event which is sent when a widget is shown.

There are two kinds of show events: show events caused by the window system (spontaneous) and internal show events. Spontaneous show events are sent just after the window system shows the window, including after a top-level window has been shown (un-iconified) by the user. Internal show events are delivered just before the widget becomes visible.

See also TQHideEvent and Event Classes.

## Member Function Documentation

### TQShowEvent::TQShowEvent ()

Constructs a TQShowEvent.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.